Redmine - Defect #20068

[Gemfile] Wrong bundler syntaxis used in platforms declaration for tzinfo-data gem
Resolution: Invalid Affected version: 3.0.3
Description

source:/trunk/Gemfile@14300#L.18 declares the platforms as:

gem 'tzinfo-data', platforms: [:mingw, :x64_mingw, :mswin, :jruby]

which should! be declared as:

gem 'tzinfo-data', platforms => [:mingw, :x64_mingw, :mswin, :jruby]

So this little patch:

Index: Gemfile

——— Gemfile (revision 14300)
+++ Gemfile (working copy)
@@ -15,7 +15,7 @@

gem "actionpack-xml_parser"

# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
—gem 'tzinfo-data', platforms: [:mingw, :x64_mingw, :mswin, :Jjruby]

+gem 'tzinfo-data', platforms => [:mingw, :x64_mingw, :mswin, :Jjruby]
gem "rbpdf", "~> 1.18.5"

# Optional gem for LDAP authentication

would fix issues like for example mentioned in ERROR: bundle install --without development test.

! per http:/bundler.io/v1.9/man/gemfile.5.htmi#PLATFORMS-platforms-

History

#1 - 2015-06-11 07:42 - Toshi MARUYAMA

- Status changed from New to Needs feedback

| have posted.

http://www.r

#2 - 2015-06-18 06:03 - Mischa The Evil

- Resolution set to Invalid

Toshi MARUYAMA wrote in RE: ERROR: bundle install --without development test:

"platforms:" is valid Ruby 1.9 hash syntax.

Ah, you are right indeed. The examples given in the bundler doc are all using 'old-style' hash syntaxis, which distracted me and made me jumping to a
wrong conclusion.
On the other hand, this gem declaration is the only one using this syntax where the others (defined within the case structure at
source:/trunk/Gemfile@14328#L 61) are (still) using regular/old-style hash syntax, as such breaking the consistency of the used code syntax. If you
are ok with that, I'd like you to close this issue.

Off-topic: Toshi, could you please replace the tab in source:trunk/app/controllers/mail_handler_controller.rb@14328#1 21 which is introduced in
r14314 with spaces? | don't want to open a new issue for such a small thing. The other thing: what do you think of the fact that the form introduced in
that revision is not i18n'ed? Would it be worth the effort of adding so much - difficult to maintain - strings to the locales?

#3 - 2015-06-28 10:33 - Jean-Philippe Lang
- Status changed from Needs feedback to Closed
Mischa The Evil wrote:

Off-topic: Toshi, could you please replace the tab in source:trunk/app/controllers/mail_handler_controller.rb@14328#L 21 which is introduced in
r14314 with spaces? | don't want to open a new issue for such a small thing.

This was fixed with your patch in r14365.

The other thing: what do you think of the fact that the form introduced in that revision is not i18n'ed? Would it be worth the effort of adding so
much - difficult to maintain - strings to the locales?

It's for testing purpose and not for end users, | think we don't need to i18n this form. Field names match mail_handler script options names.
